### Method

# Ggit ObjectFactory construct

#### Declaration [src]

    GObject*
    ggit_object_factory_construct (
      GgitObjectFactory* factory,
      GObjectClass* parent_class,
      GType basetype,
      guint n_construct_properties,
      GObjectConstructParam* construct_properties
    )

#### Description [src]

Construct a new object.

#### Parameters

`parent_class`

  Type: `GObjectClass`

  A `GObjectClass`.

  The data is owned by the caller of the method.

`basetype`

  Type: `GType`

  A `GType`.

`n_construct_properties`

  Type: `guint`

  Number of construct properties.

`construct_properties`

  Type: An array of `GObjectConstructParam`

  A list of `GObjectConstructParam`.

  The length of the array is specified in the `n_construct_properties` argument.
  The data is owned by the caller of the method.

#### Return value

Type: `GObject`

A `GObject` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.